KORG app Help Center

Which models of iPhone will this work with?

iKaossilator v3 is compatible with iOS 7 or later. It works on iPhone 4 or later.

We no longer support iOS 6 or earlier. If you a user of iPhone 3GS, you can download only iKaossilator v2.

Was this article helpful?
0 out of 0 found this helpful

Comments

Please sign in to leave a comment.